package com.sx.enum_uc.switchyard;

import org.jboss.logging.Logger;
import org.switchyard.annotations.Transformer;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.sx.enum_uc.switchyard.Flow;

public final class FlowJsonToJavaTransform {
	// use logger since SW transformers do not have CDI context
	private static Logger log = Logger.getLogger(FlowJsonToJavaTransform.class);

	static private ObjectMapper mapper = new ObjectMapper();
	
	@Transformer(from = "{urn:com.sx.enum_uc.switchyard:enum-uc-service-switchyard:1.0}jsonEncodedFlow")
	public Flow transformStringToFlow(String from) {
		try {
			return mapper.readValue(from, Flow.class);
		} catch (Exception e) {
			log.error(e.getMessage());
			return null;
		}
	}

}
